## owx 0~20110415

=== Makefile ===
# $Id$

.PHONY: all
all:
	cd src && $(MAKE) all

.PHONY: install
install:
	cd src && $(MAKE) install

.PHONY: clean
clean:
	cd src && $(MAKE) clean

=== src/Makefile ===
# $Id$

NAME	= owx

CXX	= /usr/bin/g++
RM	= rm -f
INSTALL	= install
LN	= ln

LIBXDIR	= /usr/local/libexec/
BINDIR	= /usr/local/bin/

CXXFLAGS= -pipe -Wall -Wextra -O2 -g
LDFLAGS	= 

OBJS	= owx.o cli.o throw.o cmds.o wouxun.o comm.o file.o csv.o export.o import.o util.o
SRCS	= $(OBJS:.o=.cc)

.PHONY: all
all: dep $(NAME)

$(NAME): $(OBJS)
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) $(TARGET_ARCH) -o $(NAME) $(OBJS)

.PHONY: dep
dep:	.depend

.depend: $(SRCS)
	$(CXX) -MM $(CXXFLAGS) $(SRCS) 1> .depend

.PHONY: install
install: all
	$(INSTALL) -d $(LIBXDIR)
	$(INSTALL) -m 755 $(NAME) $(LIBXDIR)
	$(INSTALL) -d $(BINDIR)
	$(LN) -f -s $(LIBXDIR)$(NAME) $(BINDIR)$(NAME)-check
	$(LN) -f -s $(LIBXDIR)$(NAME) $(BINDIR)$(NAME)-get
	$(LN) -f -s $(LIBXDIR)$(NAME) $(BINDIR)$(NAME)-put
	$(LN) -f -s $(LIBXDIR)$(NAME) $(BINDIR)$(NAME)-export
	$(LN) -f -s $(LIBXDIR)$(NAME) $(BINDIR)$(NAME)-import

.PHONY: clean
clean:
	$(RM) $(OBJS) $(NAME) .depend

.PHONY: install
install:

ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
owx (0~20110415-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch gcc-4.7.patch (missing include).
    (Closes: #667318)

 -- gregor herrmann <gregoa@debian.org>  Fri, 11 May 2012 00:34:52 +0200

owx (0~20110415-3) unstable; urgency=low

  * New patch: add a workaround to some error conditions

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 27 Nov 2011 20:10:32 -0500

owx (0~20110415-2) unstable; urgency=low

  * fix symlinks for owx-* scripts

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 26 Nov 2011 21:38:41 -0500

owx (0~20110415-1) unstable; urgency=low

  * New patch: add a wrapper script to ease operation, wouxun.
  * Initial release (Closes: #645521)

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 26 Oct 2011 21:15:35 -0400

=== debian/control ===
Source: owx
Section: hamradio
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.2
Homepage: http://owx.chmurka.net
Vcs-Git: git://git.debian.org/collab-maint/owx.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/owx.git;a=summary

Package: owx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to program Wouxun dual-band handheld radios
 Open Wouxun (OWX) is a portable, open-source, command-line utility
 designed to program Wouxun dual-banders under any modern UNIX
 operating system. It supports KG-UV2D, KG-UVD1P and possibly other
 radios that identify as KG669V (such as Navcomm TK-890, Midland
 TK-790, Albrecht DB-270, Dynascan DB-48 and other brands).
 .
 Utility has five functions. They are used to:
 .
  - check radio connection
  - download binary data from radio
  - upload binary data to radio
  - export human-readable spreadsheet from binary data file
  - import edited spreadsheet into existing binary data file
 .
 Binary data contains everything that can be changed in the radio - all
 settings, channels, current modes of operation etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export PREFIX=/usr

%:
	dh $@
